package com.google.code.p.narcissus.ui;

import org.apache.log4j.Logger;
import org.apache.log4j.xml.DOMConfigurator;

/**
 * Runs Narcissus-UI application.
 * @author jadoj
 */
public class Main {

    private static final Logger LOGGER = Logger.getLogger(Main.class);

    public static void main(String[] args) {
        LOGGER.getLoggerRepository().resetConfiguration();
        DOMConfigurator.configure(Main.class.getResource("/log4j-Narcissus-ui.xml"));

        LOGGER.info("Narcissus UI starting...");
        java.awt.EventQueue.invokeLater(new Runnable() {

            @Override
            public void run() {
                new Mainframe().setVisible(true);
            }
        });
    }
}
