package com.google.code.p.narcissus.ui.listeners;

/**
 * Interface allowing managing listeners of folder update.
 * <p>
 *  Updating the root folder has impacts on lots of other controls.  Using
 * this mechanism will make it easier to manage these impacts.
 * </p>
 * @author jadoj
 */
public interface FolderListener {
    abstract public void folderUpdated();
}
